<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:orientation="horizontal">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="1123dp"
        android:layout_height="200dp">

        <TextView
            android:id="@+id/idNazwa"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="26dp"
            android:layout_marginTop="10dp"
            android:text="Gate 1"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/textView24"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="22dp"
            android:layout_marginTop="10dp"
            android:text="Status"
            app:layout_constraintStart_toEndOf="@+id/idNazwa"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/idStatus"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="25dp"
            android:layout_marginTop="10dp"
            android:text="ON"
            app:layout_constraintStart_toEndOf="@+id/textView24"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/imageView7"
            android:layout_width="150dp"
            android:layout_height="199dp"
            android:layout_marginStart="64dp"
            android:contentDescription=" "
            android:visibility="visible"
            app:layout_constraintStart_toEndOf="@+id/idTemperatura"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/emot"
            tools:srcCompat="@drawable/pp"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/idState"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="26dp"
            android:layout_marginTop="16dp"
            android:text="Empty"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/idNazwa" />

        <TextView
            android:id="@+id/textView27"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="26dp"
            android:layout_marginTop="27dp"
            android:text="Step 1"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/idState" />

        <TextView
            android:id="@+id/textView28"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="26dp"
            android:layout_marginTop="10dp"
            android:text="Step 2"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/textView27" />

        <TextView
            android:id="@+id/textView29"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="26dp"
            android:layout_marginTop="10dp"
            android:text="Step 3"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/textView28" />

        <ImageView
            android:id="@+id/imageView8"
            android:layout_width="31dp"
            android:layout_height="30dp"
            android:layout_marginStart="148dp"
            android:layout_marginTop="52dp"
            android:visibility="visible"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/textView24"
            app:srcCompat="@drawable/emot"
            tools:srcCompat="@tools:sample/avatars"
            tools:visibility="visible" />

        <ImageView
            android:id="@+id/imageView9"
            android:layout_width="31dp"
            android:layout_height="30dp"
            android:layout_marginStart="148dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/imageView10"
            app:srcCompat="@drawable/emot"
            tools:srcCompat="@tools:sample/avatars" />

        <ImageView
            android:id="@+id/imageView10"
            android:layout_width="31dp"
            android:layout_height="30dp"
            android:layout_marginStart="148dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/imageView8"
            app:srcCompat="@drawable/emot"
            tools:srcCompat="@tools:sample/avatars" />

        <TextView
            android:id="@+id/idTemperatura"
            android:layout_width="90dp"
            android:layout_height="51dp"
            android:layout_marginStart="116dp"
            android:layout_marginTop="5dp"
            android:text="34"
            android:textSize="36sp"
            app:layout_constraintStart_toEndOf="@+id/imageView8"
            app:layout_constraintTop_toBottomOf="@+id/textView31" />

        <Button
            android:id="@+id/button2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="112dp"
            android:layout_marginTop="8dp"
            android:text="Wykonaj"
            app:layout_constraintStart_toEndOf="@+id/imageView9"
            app:layout_constraintTop_toBottomOf="@+id/idTemperatura" />

        <TextView
            android:id="@+id/textView31"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="228dp"
            android:layout_marginTop="60dp"
            android:text="Max temp"
            app:layout_constraintStart_toEndOf="@+id/idState"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/idError"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="72dp"
            android:layout_marginTop="10dp"
            android:text="Error"
            app:layout_constraintStart_toEndOf="@+id/idStatus"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</LinearLayout>
